

package com.mindfusion.diagramming.samples.demo;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


public class AddTableDialog extends JDialog
{
	/**
	 * Initializes a new instance of the AddTableDialog class with
	 * the specified parent. The dialog is centered within
	 * the parent.
	 */
	public AddTableDialog(JFrame parent)
	{
		super(parent, true);

		_accepted = false;

		setTitle("Add Table");
		setSize(250, 114);
		setResizable(false);

		// Center in parent
		Rectangle parentBounds = new Rectangle();
		parent.getBounds(parentBounds);

		setLocation((parentBounds.width - getWidth()) / 2,
			(parentBounds.height - getHeight()) / 2);

		// Initialize frame
		initializeComponent();
	}

	/**
	 * Initializes child controls.
	 */
	private void initializeComponent()
	{
		setLayout(null);

		//
		// _lblTableName
		//
		_lblTableName = new JLabel();
		_lblTableName.setText("Table name:");
		_lblTableName.setLocation(7, 14);
		_lblTableName.setSize(73, 14);

		//
		// _txtTableName
		//
		_txtTableName = new JTextField();
		_txtTableName.setText("Table");
		_txtTableName.setLocation(87, 11);
		_txtTableName.setSize(146, 20);

		//
		// _btnAdd
		//
		_btnAdd = new JButton();
		_btnAdd.setText("Add");
		_btnAdd.setLocation(37, 55);
		_btnAdd.setSize(80, 20);
		_btnAdd.addActionListener
		(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					AddTableDialog.this.onBtnAdd(e);
				}
			}
		);

		//
		// _btnCancel
		//
		_btnCancel = new JButton();
		_btnCancel.setText("Cancel");
		_btnCancel.setLocation(127, 55);
		_btnCancel.setSize(80, 20);
		_btnCancel.addActionListener
		(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					AddTableDialog.this.onBtnCancel(e);
				}
			}
		);

		Container contents = getContentPane();

		contents.add(_lblTableName);
		contents.add(_txtTableName);
		contents.add(_btnAdd);
		contents.add(_btnCancel);
	}

	/**
	 * Handles the Add button click.
	 */
	private void onBtnAdd(ActionEvent e)
	{
		_accepted = true;

		hide();
	}

	/**
	 * Handles the Cancel button click.
	 */
	private void onBtnCancel(ActionEvent e)
	{
		_accepted = false;

		hide();
	}

	/**
	 * Gets whether the user has confirmed the dialog.
	 */
	public boolean getAccepted() { return _accepted; }

	public String getTableName() { return _txtTableName.getText(); }


	private boolean _accepted;

	private JLabel _lblTableName;
	private JTextField _txtTableName;
	private JButton _btnAdd;
	private JButton _btnCancel;
}
